#include "stack_internal.h"





/****************************************************************************/
void stack_query( void *stack_state, enum stack_query_type query_type, void *query_result )
{
  struct stack_state
    *ss;

  assert( stack_state != NULL );
  // TRD : query_type can be any value in its range
  assert( query_result != NULL );

  ss = (struct stack_state *) stack_state;

  switch( query_type )
  {
    case STACK_QUERY_ELEMENT_COUNT:
      freelist_query( ss->freelist_state, FREELIST_QUERY_ELEMENT_COUNT, query_result );
    break;
  }

  return;
}

